commons-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rahul Akolkar" <rahul.akol...@gmail.com>
Subject Re: Cannot compile DBCP 1.2.2
Date Sat, 12 Jul 2008 03:27:52 GMT
On 7/11/08, Neil Aggarwal <neil@jammconsulting.com> wrote:
> Hello:
>
>  I am trying to compile DBCP 1.2.2 from the source zip
>  file.
>
>  I am getting errors like these:
>  Cannot reduce the visibility of the inherited method from Statement
>  The type BasicDataSource must implement the inherited abstract method
>  Wrapper.isWrapperFor(Class)
>  The type BasicDataSource must implement the inherited abstract method
>  Wrapper.unwrap(Class)
>  The type ConnectionImpl must implement the inherited abstract method
>  Connection.createArrayOf(String, Object[])The type ConnectionImpl must
>  implement the inherited abstract method Connection.createBlob()
>  The type ConnectionImpl must implement the inherited abstract method
>  Connection.createClob()
>  The type ConnectionImpl must implement the inherited abstract method
>  Connection.createNClob()
>  The type ConnectionImpl must implement the inherited abstract method
>  Connection.createSQLXML()
>
>  etc.
>
>  It looks like the sources are out of sync with the JDBC interfaces.
>  What version of the JDK am I supposed to use to compile DBCP?
>
<snip/>

1.4 or 1.5 should do (looks like you're using 1.6).

-Rahul


>  Thanks,
>         Neil
>
>  --
>  Neil Aggarwal, (832)245-7314, www.JAMMConsulting.com
>  Eliminate junk email and reclaim your inbox.
>  Visit http://www.spammilter.com for details.
>

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@commons.apache.org
For additional commands, e-mail: user-help@commons.apache.org


Mime
View raw message